spring:
  # 配置Sqlite3数据库连接
  datasource:
    name: sqlite3
    driver-class-name: org.sqlite.JDBC  #数据库链接驱动
    url: jdbc:sqlite::resource:static/sqlite/elementsync.db #数据库链接地址
    username:
    password:
  # 模板引擎
  thymeleaf:
    mode: LEGACYHTML5
    encoding: utf-8
    # 禁用缓存
    cache: false
    # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# MyBatis
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.tao.pojo
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath:mybatis/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

server:
  port: 8085